play.templates

## Class GroovyTemplate.TClassLoader

- java.lang.Object
- - java.lang.ClassLoader
  - - java.security.SecureClassLoader
    - - java.net.URLClassLoader
      - - groovy.lang.GroovyClassLoader
        - - play.templates.GroovyTemplate.TClassLoader

All Implemented Interfaces:
  java.io.Closeable, java.lang.AutoCloseable

Enclosing class:
  GroovyTemplate

    public static class GroovyTemplate.TClassLoader
    extends groovy.lang.GroovyClassLoader

### Nested Class Summary

### Nested classes/interfaces inherited from class groovy.lang.GroovyClassLoader

`groovy.lang.GroovyClassLoader.ClassCollector, groovy.lang.GroovyClassLoader.InnerLoader`

### Field Summary

### Fields inherited from class groovy.lang.GroovyClassLoader

`classCache, sourceCache`

### Constructor Summary

Constructors
Constructor and Description
`TClassLoader()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.Class` `defineTemplate(java.lang.String name, byte[] byteCode)`

### Methods inherited from class groovy.lang.GroovyClassLoader

`addClasspath, addURL, clearCache, close, createCollector, createCompilationUnit, defineClass, defineClass, generateScriptName, getClassCacheEntry, getClassPath, getLoadedClasses, getPermissions, getResourceLoader, getTimeStamp, isRecompilable, isShouldRecompile, isSourceNewer, loadClass, loadClass, loadClass, loadClass, parseClass, parseClass, parseClass, parseClass, parseClass, parseClass, parseClass, recompile, removeClassCacheEntry, setClassCacheEntry, setResourceLoader, setShouldRecompile`

### Methods inherited from class java.net.URLClassLoader

`definePackage, findClass, findResource, findResources, getResourceAsStream, getURLs, newInstance, newInstance`

### Methods inherited from class java.security.SecureClassLoader

`defineClass, defineClass`

### Methods inherited from class java.lang.ClassLoader

`clearAssertionStatus, defineClass, defineClass, defineClass, defineClass, definePackage, findLibrary, findLoadedClass, findSystemClass, getClassLoadingLock, getPackage, getPackages, getParent, getResource, getResources, getSystemClassLoader, getSystemResource, getSystemResourceAsStream, getSystemResources, registerAsParallelCapable, resolveClass, setClassAssertionStatus, setDefaultAssertionStatus, setPackageAssertionStatus, setSigners`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TClassLoader

    public TClassLoader()

### Method Detail

#### defineTemplate

    public java.lang.Class defineTemplate(java.lang.String name,
                                          byte[] byteCode)